Create User Role in Org
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/createUserRoleInOrg \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"email": "[email protected]",
"givenName": "<string>",
"familyName": "<string>",
"externalEmployeeID": "<string>",
"payrollEmployeeID": "<string>",
"country": "<string>",
"sendEmailImmediately": true,
"taxMethod": "<string>",
"withholdingPercentage": 123,
"baseSalary": 123,
"baseSalaryCurrency": "<string>"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/createUserRoleInOrg"
payload = {
"email": "[email protected]",
"givenName": "<string>",
"familyName": "<string>",
"externalEmployeeID": "<string>",
"payrollEmployeeID": "<string>",
"country": "<string>",
"sendEmailImmediately": True,
"taxMethod": "<string>",
"withholdingPercentage": 123,
"baseSalary": 123,
"baseSalaryCurrency": "<string>"
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: '[email protected]',
givenName: '<string>',
familyName: '<string>',
externalEmployeeID: '<string>',
payrollEmployeeID: '<string>',
country: '<string>',
sendEmailImmediately: true,
taxMethod: '<string>',
withholdingPercentage: 123,
baseSalary: 123,
baseSalaryCurrency: '<string>'
})
};
fetch('https://app.toku.com/api/tokuApi/v1/createUserRoleInOrg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"orgID": "aa0e8400-e29b-41d4-a716-446655440005",
"personID": "bb0e8400-e29b-41d4-a716-446655440006",
"role": "RECIPIENT",
"externalEmployeeID": "EMP-001",
"payrollEmployeeID": "PAY-12345",
"country": "US",
"employmentType": "EMPLOYEE",
"revokedAt": null
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Employees
Create User Role in Org
Creates a new user and assigns them a role in your organization.
POST
/
createUserRoleInOrg
Create User Role in Org
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
TGA employment type.
Available options:
CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER Response
User role created
Example:
"660e8400-e29b-41d4-a716-446655440001"
Example:
"aa0e8400-e29b-41d4-a716-446655440005"
Example:
"bb0e8400-e29b-41d4-a716-446655440006"
Example:
"RECIPIENT"
Example:
"EMP-001"
Example:
"PAY-12345"
Example:
"US"
TGA employment type. Valid values: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER.
Available options:
CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER Example:
"EMPLOYEE"
Example:
null
⌘I
